<?php

declare(strict_types=1);

namespace ConnectPay\Payment\Model\Config\Backend;

use Magento\Config\Model\Config\Backend\File;
use Magento\Framework\App\Filesystem\DirectoryList;
use Magento\Framework\Exception\FileSystemException;

abstract class Upload extends File
{
    /**
     * {@inheritDoc}
     * @throws FileSystemException
     */
    protected function getUploadDirPath($uploadDir): string
    {
        $varDirectory = $this->_filesystem->getDirectoryWrite(DirectoryList::VAR_DIR);

        return $varDirectory->getAbsolutePath($uploadDir);
    }
}
