<?php

declare(strict_types=1);

namespace ConnectPay\Payment\Model\Config\Source;

use ConnectPay\Payment\Gateway\Config\Config;
use Magento\Framework\Data\OptionSourceInterface;

class WidgetLanguage implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray(): array
    {
        $optionArray = [];
        $data = Config::LANGUAGES_CODES_ARRAY;

        foreach ($data as $value) {
            $optionArray[] = [
                'value' => $value, 'label' => $value
            ];
        }

        return $optionArray;
    }
}
